Bug 143393 - Creates certificates + keys at an insecure/bad place
Creates certificates + keys at an insecure/bad place
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
: Security
: 166462 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-20 06:30 EST by Enrico Scholz
Modified: 2014-08-31 19:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-11 11:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2004-12-20 06:30:23 EST
[ This is (nearly) a copy of bug #141479 ]

Description of problem:

The %post scriptlet creates the SSL certificate at /usr/share/ssl. This
causes problems because:

* the /usr filesystem (inclusive /usr/share/ssl) can be shared between
  several hosts; when there are multiple imap-servers, every one would
  use the same certificate. This will not work because CN must match
  the DNS name.

  This causes problems also, when /usr is mounted read-only. Then the
  %post-scriptlet will fail because the certificate can not be created.


* the sharing happens in >90% of all cases over an unencrypted
  network-filesystem (NFS). So, an attacker could easily get the
  SSL key.

A better place for the certificates would be somewhere under /etc.


Version-Release number of selected component (if applicable):

openldap-servers-2.2.13-2
Comment 1 Jay Fenlason 2005-08-22 14:09:04 EDT
*** Bug 166462 has been marked as a duplicate of this bug. ***
Comment 2 Jay Fenlason 2006-01-11 11:19:55 EST
Current rawhide puts ssl terts in /etc/pki/tls/certs/ 

Note You need to log in before you can comment on or make changes to this bug.